# save.table <- function(x, file="table.Rout", append=FALSE, sep=" ", eol="\n",
#                        na="NA",
#                        col.nameso=!append,
#                        digits=getOption("digits")) {
#   if (is.list(digits))
#       digits <- unlist(digits)[names(x)]
#   digits <- as.real(rep(digits, length.out=length(x)))
#                                         # A real vector along columns of x
  
#   invisible(.Call("do_savetable", x, file, append, sep, eol, na, col.names,
#                   digits))
# }

save.table <- function(x,
                       file=NULL, append=FALSE,
                       sep=" ", eol="\n", na="NA",
                       col.names=!append,
                       format="%f") {
  if(!is.null(file)) {
    sink(file=file, append=append)
    on.exit(sink(), add=TRUE)
  }
  invisible(.Call("do_savetable", x, sep, eol, na, col.names, format))
}


save.delim <- function(x, file=NULL, ..., sep="\t", na="")
  save.table(x, file, ..., sep=sep, na=na)

.First.lib <- function(lib, pkg) library.dynam("savetable", pkg, lib)
